<?php
/**
* @version $Id: mod_login.php,v 1.17 2004/09/28 18:31:31 prazgod Exp $
* @package Mambo_4.5.1
* @copyright (C) 2000 - 2004 Miro International Pty Ltd
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Mambo is Free Software
*/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$return = mosGetParam( $_SERVER, 'REQUEST_URI', null );
// converts & to &amp; for xtml compliance
$return = str_replace( '&', '&amp;', $return );

$registration_enabled = $mainframe->getCfg( 'allowUserRegistration' );
$pretext = $params->get( 'pretext' );
$posttext = $params->get( 'posttext' );
$login = $params->def( 'login', $return );
$logout = $params->def( 'logout', $return );
$message_login = $params->def( 'login_message', 0 );
$message_logout = $params->def( 'logout_message', 0 );
$name = $params->def( 'name', 1 );
$greeting = $params->def( 'greeting', 1 );

if ( $name ) {
	$query = "SELECT name FROM #__users WHERE id = ". $my->id;
	$database->setQuery( $query );
	$name = $database->loadResult();
} else {
	$name = $my->username;
}

if ( $my->id ) {
?>
	
<div class="modulelogin" style="white-space:nowrap;">
	<form action="<?php echo sefRelToAbs( 'index.php?option=logout' ); ?>" method="post" name="login" style="margin:0; padding:0;">
	<?php
		if ( $greeting ) {
		echo _HI;
		echo $name;
		}
	?>
		&nbsp;
	<input type="submit" name="Submit" class="button" value="<?php echo _BUTTON_LOGOUT; ?>" />
	<input type="hidden" name="op2" value="logout" />
	<input type="hidden" name="lang" value="<?php echo $mosConfig_lang; ?>" />
	<input type="hidden" name="return" value="<?php echo sefRelToAbs( $logout ); ?>" />
	<input type="hidden" name="message" value="<?php echo $message_logout; ?>" />
	</form>
</div>
	
<?php } else {	?>

<div class="modulelogin"> 
	<form action="<?php echo sefRelToAbs( 'index.php' ); ?>" method="post" name="login" style="margin:0; padding:0;">
	<?php	echo $pretext;	?>
	<span style="white-space:nowrap;">
	<?php echo _USERNAME; ?>: <input name="username" type="text"  class="inputbox" size="12" alt="<?php echo _USERNAME; ?>" /> &nbsp;
	<?php echo _PASSWORD; ?>: <input name="passwd" type="password"  class="inputbox" size="12" alt="<?php echo _PASSWORD; ?>" /> 
	<input type="submit" name="Submit" class="button" value="<?php echo _BUTTON_LOGIN; ?>" />
	</span>
	<span style="white-space:nowrap;">
	&nbsp;
	<input type="hidden" name="option" value="login" />&nbsp;
	</span>
	<span style="white-space:nowrap;">
	<a href="<?php echo sefRelToAbs( 'index.php?option=com_registration&amp;task=lostPassword' ); ?>"><?php echo _LOST_PASSWORD; ?></a>
	<?php	echo $posttext;	?>
	<?php	if ( $registration_enabled ) {	?>
	&frasl; 
	<a href="<?php echo sefRelToAbs( 'index.php?option=com_registration&amp;task=register' ); ?>"><?php echo _CREATE_ACCOUNT;?></a>
	<?php	} ?>
	</span>
	<input type="hidden" name="op2" value="login" />
	<input type="hidden" name="lang" value="<?php echo $mosConfig_lang; ?>" />
	<input type="hidden" name="return" value="<?php echo sefRelToAbs( $login ); ?>" />
	<input type="hidden" name="message" value="<?php echo $message_login; ?>" />
	</form>	
</div>

<?php	} ?>
